For the latest news and information visit The GNU Crypto project

## gnu.crypto.key.dh
Class RFC2631

    java.lang.Object
      |
      +--gnu.crypto.key.dh.RFC2631

public class RFC2631
extends java.lang.Object

An implementation of the Diffie-Hellman parameter generation as defined in RFC-2631.

Reference:

1. Diffie-Hellman Key Agreement Method
   Eric Rescorla.

Field Summary
`static int` `DH_PARAMS_COUNTER`
`static int` `DH_PARAMS_G`
`static int` `DH_PARAMS_J`
`static int` `DH_PARAMS_P`
`static int` `DH_PARAMS_Q`
`static int` `DH_PARAMS_SEED`

Constructor Summary
`RFC2631(int m, int L, java.security.SecureRandom rnd)`

Method Summary
`java.math.BigInteger[]` `generateParameters()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DH_PARAMS_SEED

    public static final int DH_PARAMS_SEED

See Also:
  Constant Field Values

### DH_PARAMS_COUNTER

    public static final int DH_PARAMS_COUNTER

See Also:
  Constant Field Values

### DH_PARAMS_Q

    public static final int DH_PARAMS_Q

See Also:
  Constant Field Values

### DH_PARAMS_P

    public static final int DH_PARAMS_P

See Also:
  Constant Field Values

### DH_PARAMS_J

    public static final int DH_PARAMS_J

See Also:
  Constant Field Values

### DH_PARAMS_G

    public static final int DH_PARAMS_G

See Also:
  Constant Field Values

Constructor Detail

### RFC2631

    public RFC2631(int m,
                   int L,
                   java.security.SecureRandom rnd)

Method Detail

### generateParameters

    public java.math.BigInteger[] generateParameters()

For the latest news and information visit The GNU Crypto project

Copyright © 2001, 2002, 2003, 2004 Free Software Foundation, Inc.